// creator  : weidu.exe (version 23100)
// argument : MINERN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MINERN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #10 /* Triggers after states #: 2 3 5 6 7 8 9 10 11 even though they appear after this state */
~Global("SpokenToEmerson",0)
NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #759 /* ~Imagine the scandal.  Who would believe I would have relations with you, even if you were the appropriate sex?  I mean, I am charitable, but really... err, no offense intended.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #11 /* Triggers after states #: 2 3 5 6 7 8 9 10 11 even though they appear after this state */
~Global("SpokenToEmerson",0)
NumTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #760 /* ~That is hardly an acceptable solution! I will have no part of that! Though if it were to look like an accident... NO! No, I don't think that will be necessary.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~RandomNum(8,1)
~ THEN BEGIN 2 // from:
  SAY #761 /* ~No, that would solve nothing. I would have to face it eventually, and it would not do for me to be seen avoiding traditional duties.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #6307 /* ~Not going to happen, Edwin. Find another stooge.~ */
  IF ~~ THEN JOURNAL #10935 /* ~Vakola attempts to take revenge on Keldorn.

We met up with an old acquaintance of Keldorn's... a man by the name of Vakola, who holds Keldorn responsible for some manner of 'betrayal' which Keldorn denies.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #9155 /* ~Cernd~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~RandomNum(8,2)
~ THEN BEGIN 5 // from:
  SAY #13923 /* ~Hey, now, eh?  Ye be lookin' new to Athkatla, aye?~ */
  IF ~~ THEN JOURNAL #10929 /* ~The prophecy of Sekolah

The rebel leader has been killed and his heart given to the King of the Sahuagin, who was quite pleased.  He brought me to the entrance to the Underdark, which he says is my only way home, and rewarded me for the heart.  The High Priestess Senityili appeared after he left, angrily telling me that I have doomed the Sahuagin to a slow death by killing the Prince... obviously I was not the chosen of Sekolah, after all.  Her mistake.~ */ EXIT
END

IF WEIGHT #4 ~RandomNum(8,3)
~ THEN BEGIN 6 // from:
  SAY #13924 /* ~I am, actually, yes.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #5 ~RandomNum(8,4)
~ THEN BEGIN 7 // from:
  SAY #13925 /* ~No, I've been here for quite some time.~ */
  IF ~~ THEN JOURNAL #10936 /* ~The prophecy of Sekolah

I defeated the Sahuagin King's monster and he ordered the opposing priestess sacrificed to Sekolah.  Now that I was 'the Chosen One', I was to find the leader of some rebel movement and return his heart to the King.  I refused, preferring to battle my way out of this mad place.~ */ EXIT
END

IF WEIGHT #6 ~RandomNum(8,5)
~ THEN BEGIN 8 // from:
  SAY #13926 /* ~I've no time to talk with you.~ */
  IF ~~ THEN JOURNAL #10936 /* ~The prophecy of Sekolah

I defeated the Sahuagin King's monster and he ordered the opposing priestess sacrificed to Sekolah.  Now that I was 'the Chosen One', I was to find the leader of some rebel movement and return his heart to the King.  I refused, preferring to battle my way out of this mad place.~ */ EXIT
END

IF WEIGHT #7 ~RandomNum(8,6)
~ THEN BEGIN 9 // from:
  SAY #13927 /* ~Well, ye look t' be like a steel enough sort.  Is 'ere aught that a fellow like me can help ye wi'?~ */
  IF ~~ THEN JOURNAL #10937 /* ~~ */ EXIT
END

IF WEIGHT #8 ~RandomNum(8,7)
~ THEN BEGIN 10 // from:
  SAY #13928 /* ~Oh, so, aye?  I did not recognize ye.  A pearl to ye, then.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #9 ~RandomNum(8,8)
~ THEN BEGIN 11 // from:
  SAY #13929 /* ~This tube is unpowered and the creature within is dead.~ */
  IF ~~ THEN JOURNAL #10936 /* ~The prophecy of Sekolah

I defeated the Sahuagin King's monster and he ordered the opposing priestess sacrificed to Sekolah.  Now that I was 'the Chosen One', I was to find the leader of some rebel movement and return his heart to the King.  I refused, preferring to battle my way out of this mad place.~ */ EXIT
END
